Ver índice de contenidos del libro

1.4. Antes de empezar

El contenido del libro se ha elaborado para Symfony 1.3 y Symfony 1.4. Como no es muy habitual escribir un libro para dos versiones diferentes de una misma aplicación, seguidamente se explican las diferencias principales entre las dos versiones y cómo saber cuál elegir para tus próximos proyectos.

Tanto Symfony 1.3 como Symfony 1.4 se han publicado aproximadamente al mismo tiempo a finales de 2009. De hecho, las dos versiones tienen exactamente las mismas características. La única diferencia entre las dos versiones es cómo realizan la retro-compatibilidad con las versiones anteriores de Symfony.

Symfony 1.3 es la versión que debes utilizar si estás actualizando un proyecto que utiliza una versión anterior de Symfony (1.0, 1.1, or 1.2). Esta versión dispone de una capa de retro-compatibilidad que hace que todas las características que se han declarado obsoletas durante el desarrollo de Symfony 1.3 sigan estando disponibles. Por tanto, la actualización suele ser sencilla, fácil y segura.

Por su parte, si empiezas un nuevo proyecto de Symfony deberías utilizar la versión Symfony 1.4. Esta versión dispone de las mismas características de Symfony 1.3 pero se han eliminado todas las características obsoletas, incluyendo la capa de retro-compatibilidad. Esta versión es mucho más limpia y un poco más rápida que Symfony 1.3. Otra de sus grandes ventajas es que el soporte de Symfony 1.4 es de muy larga duración, ya que será mantenido por el equipo de desarrollo de Symfony durante tres años (hasta noviembre de 2012).

También es posible migrar los proyectos rápidamente a Symfony 1.3 para actualizarlos después de Symfony 1.4 eliminando poco a poco todas sus características obsoletas. De esta forma los proyectos actuales se pueden beneficiar del soporte de Symfony 1.4. En cualquier caso, tienes tiempo suficiente para realizar la transición, ya que Symfony 1.3 será mantenido durante un año (hasta noviembre de 2010).

Como en este libro no se utiliza ninguna característica obsoleta, todos los ejemplos y todo el código funciona igual de bien en cualquier versión.